import { ToolbarsType, ToolbarItemType, ToolbarItemTypes } from './toolbar';
import { ThemeType, EventType, BaseOptionsType } from '../core/editor';
export declare type MarkdownThemeType = ThemeType;
export declare type MarkdownEventType = EventType;
export declare type MarkdownBaseOptionsType = BaseOptionsType;
export declare type MarkdownMDToolbarsType = ToolbarsType;
export declare type MarkdownMDToolbarItemType = ToolbarItemType;
export declare type MarkdownMDToolbarItemTypes = ToolbarItemTypes;
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    dialog: {
        type: ObjectConstructor;
        default: () => void;
    };
    theme: {
        type: ObjectConstructor;
        default: () => void;
    };
    editor: {
        type: ObjectConstructor;
        default: () => void;
    };
    beforeInitToolbars: {
        type: FunctionConstructor;
        default: null;
    };
}, {
    dialogConfig: {
        fullScreen: boolean;
        fixed: boolean;
        zIndex: number;
    } & Record<string, any>;
    prefix: string;
    id: string;
    contentId: string;
    tableVisible: import("vue").Ref<boolean>;
    tableDone: (cols: number, rows: number) => void;
    mediaVisible: import("vue").Ref<boolean>;
    mediaDone: (url: string, desc: string) => void;
    preview: import("vue").ComputedRef<string>;
    previewDark: import("vue").Ref<boolean>;
    previewVisible: import("vue").Ref<boolean>;
    helperVisible: import("vue").Ref<boolean>;
    hotKeys: import("vue").Ref<any>;
    isFullscreen: import("vue").Ref<boolean>;
    editRootElement: import("vue").Ref<any>;
    toolbars: import("vue").ShallowRef<ToolbarsType | undefined>;
    toolbarItemClickHandler: (item: ToolbarItemType) => void;
    toolbarFolds: {
        top: boolean;
        center: boolean;
        bottom: boolean;
    };
    toolbarFoldNumber: import("vue").Ref<number>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "blur" | "change" | "focus" | "ready" | "selectionChange" | "themeChange" | "toolbarItemAction")[], "update:modelValue" | "blur" | "change" | "focus" | "ready" | "selectionChange" | "themeChange" | "toolbarItemAction", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    dialog: {
        type: ObjectConstructor;
        default: () => void;
    };
    theme: {
        type: ObjectConstructor;
        default: () => void;
    };
    editor: {
        type: ObjectConstructor;
        default: () => void;
    };
    beforeInitToolbars: {
        type: FunctionConstructor;
        default: null;
    };
}>> & {
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onReady?: ((...args: any[]) => any) | undefined;
    onSelectionChange?: ((...args: any[]) => any) | undefined;
    onThemeChange?: ((...args: any[]) => any) | undefined;
    onToolbarItemAction?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: string;
    dialog: Record<string, any>;
    theme: Record<string, any>;
    beforeInitToolbars: Function;
    editor: Record<string, any>;
}>;
export default _default;
